%define upstream_name    Net-Pcap-Reassemble
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    IP fragment reassembly for Net::Pcap
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Pcap)
BuildArch: noarch

%description
This module performs reassembly of fragmented datagrams in libpcap packet
capture data returned by the *Net::Pcap* 'loop()' function. This module
supports reassembly of IPv4 and IPv6 fragments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-12.mga10
+ Revision: 2200026
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-11.mga9
+ Revision: 1804931
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-10.mga8
+ Revision: 1495973
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-9.mga7
+ Revision: 1269936
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-8.mga6
+ Revision: 1031269
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-7.mga6
+ Revision: 949077
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 788925
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 745651
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685704
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 513507
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 370805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 20 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 170048
- imported package perl-Net-Pcap-Reassemble


* Sun Nov 20 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
